<?xml version="1.0"?>  
<!DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Mapping DTD Version 1.0//EN" 
                       "http://castor.org/mapping.dtd">  
<mapping>
	
	<class name="com.libreecm.commonAPI.configuration.Config">

		<map-to xml="config" />

		<field name="repositories" type="string" collection="arraylist">
			<bind-xml name="repository" node="element" />
		</field>

		<field name="libreECMLocalPort" type="integer">
			<bind-xml name="libreECMLocalPort" node="element" />
		</field>

		<field name="libreECMDDBBLocalPort" type="integer">
			<bind-xml name="libreECMDDBBLocalPort" node="element" />
		</field>

		<field name="libreECMInputLocalPort" type="integer">
			<bind-xml name="libreECMInputLocalPort" node="element" />
		</field>

		<field name="libreECMOpenCMISLocalPort" type="integer">
			<bind-xml name="libreECMOpenCMISLocalPort" node="element" />
		</field>

		<field name="libreECMConfiguratorLocalPort" type="integer">
			<bind-xml name="libreECMConfiguratorLocalPort" node="element" />
		</field>


		<field name="mainRepositoryUrl" type="string">
			<bind-xml name="mainRepositoryUrl" node="element" />
		</field>
		<field name="mainRepositoriesUrl" type="string">
			<bind-xml name="mainRepositoriesUrl" node="element" />
		</field>
		<field name="mainConfigUrl" type="string">
			<bind-xml name="mainConfigUrl" node="element" />
		</field>
		<field name="mainObjectUrl" type="string">
			<bind-xml name="mainObjectUrl" node="element" />
		</field>
		<field name="mainUserUrl" type="string">
			<bind-xml name="mainUserUrl" node="element" />
		</field>
		<field name="mainCurrentUserUrl" type="string">
			<bind-xml name="mainCurrentUserUrl" node="element" />
		</field>
		<field name="mainNewTypeSettableAttributesUrl" type="string">
			<bind-xml name="mainNewTypeSettableAttributesUrl" node="element" />
		</field>

		<field name="mainTypeChildrenUrl" type="string">
			<bind-xml name="mainTypeChildrenUrl" node="element" />
		</field>
		<field name="mainObjectTypeUrl" type="string">
			<bind-xml name="mainObjectTypeUrl" node="element" />
		</field>
		<field name="mainPropertyDefinitionUrl" type="string">
			<bind-xml name="mainPropertyDefinitionUrl" node="element" />
		</field>
		<field name="mainDownloadObjectUrl" type="string">
			<bind-xml name="mainDownloadObjectUrl" node="element" />
		</field>

		<field name="dbConfigUrl" type="string">
			<bind-xml name="dbConfigUrl" node="element" />
		</field>
		<field name="dbRepositoryUrl" type="string">
			<bind-xml name="dbRepositoryUrl" node="element" />
		</field>
		<field name="dbRepositoriesUrl" type="string">
			<bind-xml name="dbRepositoriesUrl" node="element" />
		</field>
		<field name="dbRepositoryCapabilitiesUrl" type="string">
			<bind-xml name="dbRepositoryCapabilitiesUrl" node="element" />
		</field>
		<field name="dbExtensionUrl" type="string">
			<bind-xml name="dbExtensionUrl" node="element" />
		</field>
		<field name="dbUserUrl" type="string">
			<bind-xml name="dbUserUrl" node="element" />
		</field>
		<field name="dbCreatablePropertyUrl" type="string">
			<bind-xml name="dbCreatablePropertyUrl" node="element" />
		</field>
		<field name="dbAclCapabilitiesUrl" type="string">
			<bind-xml name="dbAclCapabilitiesUrl" node="element" />
		</field>
		<field name="dbNewTypeSettableAttributesUrl" type="string">
			<bind-xml name="dbNewTypeSettableAttributesUrl" node="element" />
		</field>

		<field name="dbTypeChildrenUrl" type="string">
			<bind-xml name="dbTypeChildrenUrl" node="element" />
		</field>

		<field name="dbCurrentUserUrl" type="string">
			<bind-xml name="dbCurrentUserUrl" node="element" />
		</field>
		<field name="inputObjectUrl" type="string">
			<bind-xml name="inputObjectUrl" node="element" />
		</field>

		<field name="inputObjectTypeUrl" type="string">
			<bind-xml name="inputObjectTypeUrl" node="element" />
		</field>

		<field name="dbPropertyDefinitionUrl" type="string">
			<bind-xml name="dbPropertyDefinitionUrl" node="element" />
		</field>


		<field name="driverClassName" type="string">
			<bind-xml name="driverClassName" node="element" />
		</field>

		<field name="dbDBUrl" type="string">
			<bind-xml name="dbDBUrl" node="element" />
		</field>

		<field name="dbUsername" type="string">
			<bind-xml name="dbUsername" node="element" />
		</field>

		<field name="dbPassword" type="string">
			<bind-xml name="dbPassword" node="element" />
		</field>
	</class>
</mapping>
